package com.bocloud.cmp.model;

import java.util.List;

/**
 * 物理机cpu信息
 */
public class ServerCpu {
    /**
     * cpu总核数
     */
    private Integer total;
    /**
     * 物理cpu个数
     */
    private Integer real;
    /**
     * 所有cpu信息
     */
    private List<CpuInfo> cpus;

    public Integer getTotal() {
        return total;
    }

    public void setTotal(Integer total) {
        this.total = total;
    }

    public Integer getReal() {
        return real;
    }

    public void setReal(Integer real) {
        this.real = real;
    }

    public List<CpuInfo> getCpus() {
        return cpus;
    }

    public void setCpus(List<CpuInfo> cpus) {
        this.cpus = cpus;
    }
}
